Skip to main content
GET
/
v1
/
group-types
List group types
curl --request GET \
  --url https://staging.api.us.aptlydone.com/settings/v1/group-types \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:21.956Z",
  "message": "Success",
  "data": {
    "page": 1,
    "limit": 10,
    "total": 100,
    "data": [
      {
        "id": "3201254a-c76c-4ab3-8ba5-dffbe3fd87e1",
        "tenantId": "176c9cbd-c764-433a-9b5f-f35327513553",
        "groupTypeName": "Department",
        "shouldAllowEnableDisable": true,
        "addressEnabled": false,
        "isDefault": false,
        "disableOption": "NA",
        "isDeleted": false,
        "status": "ACTIVE",
        "createdBy": null,
        "createdOn": "2024-12-18T09:50:43.338Z",
        "updatedOn": "2024-12-18T09:50:43.338Z",
        "updatedBy": null
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"48856729-a26e-4223-86e8-24b026112520"

isActive
boolean

Is Active

Example:

false

Response

200 - application/json

Tenant group types fetched successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:21.956Z"

message
string
required
Example:

"Success"

data
object